/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
File: octvc1_test_api_priv_swap.h

Copyright (c) 2016 Octasic Inc. All rights reserved.

Description:
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program;if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.


Release: OCTSDR Software Development Kit OCTSDR_GSM-02.05.00-B780 (2016/01/14)

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/

#ifndef __OCTVC1_TEST_API_PRIV_SWAP_H__
#define __OCTVC1_TEST_API_PRIV_SWAP_H__

#ifdef __cplusplus
extern "C" {
#endif

/*****************************  INCLUDE FILES  *******************************/
#include "../octvc1_priv_swap_hdrs.h"
#include "octvc1_test_api_priv.h"

/*********************************  MACROS  **********************************/

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_DESCR_LIST_CMD_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_DESCR_LIST_CMD * pOCTVC1_TEST_MSG_DESCR_LIST_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_DESCR_LIST_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_DESCR_LIST_CMD *)pOCTVC1_TEST_MSG_DESCR_LIST_CMD)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_TEST_MSG_DESCR_LIST_CMD *)pOCTVC1_TEST_MSG_DESCR_LIST_CMD)->ObjectCursor ); }  \
}
#else
#define mOCTVC1_TEST_MSG_DESCR_LIST_CMD_SWAP( pOCTVC1_TEST_MSG_DESCR_LIST_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_DESCR_LIST_RSP_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_DESCR_LIST_RSP * pOCTVC1_TEST_MSG_DESCR_LIST_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_DESCR_LIST_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_DESCR_LIST_RSP *)pOCTVC1_TEST_MSG_DESCR_LIST_RSP)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_TEST_MSG_DESCR_LIST_RSP *)pOCTVC1_TEST_MSG_DESCR_LIST_RSP)->ObjectCursor ); }  \
	{ mOCTVC1_LIST_NAME_OBJECT32_GET_SWAP( &((tOCTVC1_TEST_MSG_DESCR_LIST_RSP *)pOCTVC1_TEST_MSG_DESCR_LIST_RSP)->ObjectNameList ); }  \
}
#else
#define mOCTVC1_TEST_MSG_DESCR_LIST_RSP_SWAP( pOCTVC1_TEST_MSG_DESCR_LIST_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_DESCR_INFO_CMD_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_DESCR_INFO_CMD * pOCTVC1_TEST_MSG_DESCR_INFO_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_DESCR_INFO_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_DESCR_INFO_CMD *)pOCTVC1_TEST_MSG_DESCR_INFO_CMD)->Header ); }  \
	((tOCTVC1_TEST_MSG_DESCR_INFO_CMD *)pOCTVC1_TEST_MSG_DESCR_INFO_CMD)->hDescr = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_TEST_MSG_DESCR_INFO_CMD *)pOCTVC1_TEST_MSG_DESCR_INFO_CMD)->hDescr); \
}
#else
#define mOCTVC1_TEST_MSG_DESCR_INFO_CMD_SWAP( pOCTVC1_TEST_MSG_DESCR_INFO_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_DESCR_INFO_RSP_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_DESCR_INFO_RSP * pOCTVC1_TEST_MSG_DESCR_INFO_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_DESCR_INFO_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_DESCR_INFO_RSP *)pOCTVC1_TEST_MSG_DESCR_INFO_RSP)->Header ); }  \
	((tOCTVC1_TEST_MSG_DESCR_INFO_RSP *)pOCTVC1_TEST_MSG_DESCR_INFO_RSP)->hDescr = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_TEST_MSG_DESCR_INFO_RSP *)pOCTVC1_TEST_MSG_DESCR_INFO_RSP)->hDescr); \
}
#else
#define mOCTVC1_TEST_MSG_DESCR_INFO_RSP_SWAP( pOCTVC1_TEST_MSG_DESCR_INFO_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_DESCR_INFO_BY_NAME_CMD_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_DESCR_INFO_BY_NAME_CMD * pOCTVC1_TEST_MSG_DESCR_INFO_BY_NAME_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_DESCR_INFO_BY_NAME_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_DESCR_INFO_BY_NAME_CMD *)pOCTVC1_TEST_MSG_DESCR_INFO_BY_NAME_CMD)->Header ); }  \
}
#else
#define mOCTVC1_TEST_MSG_DESCR_INFO_BY_NAME_CMD_SWAP( pOCTVC1_TEST_MSG_DESCR_INFO_BY_NAME_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_DESCR_INFO_BY_NAME_RSP_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_DESCR_INFO_BY_NAME_RSP * pOCTVC1_TEST_MSG_DESCR_INFO_BY_NAME_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_DESCR_INFO_BY_NAME_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_DESCR_INFO_BY_NAME_RSP *)pOCTVC1_TEST_MSG_DESCR_INFO_BY_NAME_RSP)->Header ); }  \
	((tOCTVC1_TEST_MSG_DESCR_INFO_BY_NAME_RSP *)pOCTVC1_TEST_MSG_DESCR_INFO_BY_NAME_RSP)->hDescr = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_TEST_MSG_DESCR_INFO_BY_NAME_RSP *)pOCTVC1_TEST_MSG_DESCR_INFO_BY_NAME_RSP)->hDescr); \
}
#else
#define mOCTVC1_TEST_MSG_DESCR_INFO_BY_NAME_RSP_SWAP( pOCTVC1_TEST_MSG_DESCR_INFO_BY_NAME_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_DESCR_STATS_CMD_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_DESCR_STATS_CMD * pOCTVC1_TEST_MSG_DESCR_STATS_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_DESCR_STATS_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_DESCR_STATS_CMD *)pOCTVC1_TEST_MSG_DESCR_STATS_CMD)->Header ); }  \
	((tOCTVC1_TEST_MSG_DESCR_STATS_CMD *)pOCTVC1_TEST_MSG_DESCR_STATS_CMD)->hDescr = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_TEST_MSG_DESCR_STATS_CMD *)pOCTVC1_TEST_MSG_DESCR_STATS_CMD)->hDescr); \
}
#else
#define mOCTVC1_TEST_MSG_DESCR_STATS_CMD_SWAP( pOCTVC1_TEST_MSG_DESCR_STATS_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_DESCR_STATS_RSP_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_DESCR_STATS_RSP * pOCTVC1_TEST_MSG_DESCR_STATS_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_DESCR_STATS_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_DESCR_STATS_RSP *)pOCTVC1_TEST_MSG_DESCR_STATS_RSP)->Header ); }  \
	((tOCTVC1_TEST_MSG_DESCR_STATS_RSP *)pOCTVC1_TEST_MSG_DESCR_STATS_RSP)->hDescr = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_TEST_MSG_DESCR_STATS_RSP *)pOCTVC1_TEST_MSG_DESCR_STATS_RSP)->hDescr); \
}
#else
#define mOCTVC1_TEST_MSG_DESCR_STATS_RSP_SWAP( pOCTVC1_TEST_MSG_DESCR_STATS_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_CMD_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_CMD * pOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_CMD)->Header ); }  \
}
#else
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_CMD_SWAP( pOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_RSP_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_RSP * pOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_RSP)->Header ); }  \
}
#else
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_RSP_SWAP( pOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_CMD_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_CMD * pOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_CMD)->Header ); }  \
}
#else
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_CMD_SWAP( pOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_RSP_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_RSP * pOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_RSP)->Header ); }  \
}
#else
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_RSP_SWAP( pOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_START_CMD_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_RUNNER_SERVER_START_CMD * pOCTVC1_TEST_MSG_RUNNER_SERVER_START_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_RUNNER_SERVER_START_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_START_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_START_CMD)->Header ); }  \
}
#else
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_START_CMD_SWAP( pOCTVC1_TEST_MSG_RUNNER_SERVER_START_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_START_RSP_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_RUNNER_SERVER_START_RSP * pOCTVC1_TEST_MSG_RUNNER_SERVER_START_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_RUNNER_SERVER_START_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_START_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_START_RSP)->Header ); }  \
}
#else
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_START_RSP_SWAP( pOCTVC1_TEST_MSG_RUNNER_SERVER_START_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_CMD_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_CMD * pOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_CMD)->Header ); }  \
}
#else
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_CMD_SWAP( pOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_RSP_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_RSP * pOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_RSP)->Header ); }  \
}
#else
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_RSP_SWAP( pOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_CMD_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_CMD * pOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_CMD)->Header ); }  \
	((tOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_CMD)->hDescr = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_CMD)->hDescr); \
	{ mOCTVC1_TEST_EXEC_PARMS_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_CMD)->Parms ); }  \
}
#else
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_CMD_SWAP( pOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_RSP_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_RSP * pOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_RSP)->Header ); }  \
	((tOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_RSP)->hTest = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_RSP)->hTest); \
}
#else
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_RSP_SWAP( pOCTVC1_TEST_MSG_RUNNER_SERVER_ADD_TEST_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_REMOVE_TEST_CMD_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_RUNNER_SERVER_REMOVE_TEST_CMD * pOCTVC1_TEST_MSG_RUNNER_SERVER_REMOVE_TEST_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_RUNNER_SERVER_REMOVE_TEST_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_REMOVE_TEST_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_REMOVE_TEST_CMD)->Header ); }  \
	((tOCTVC1_TEST_MSG_RUNNER_SERVER_REMOVE_TEST_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_REMOVE_TEST_CMD)->hTest = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_TEST_MSG_RUNNER_SERVER_REMOVE_TEST_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_REMOVE_TEST_CMD)->hTest); \
}
#else
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_REMOVE_TEST_CMD_SWAP( pOCTVC1_TEST_MSG_RUNNER_SERVER_REMOVE_TEST_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_REMOVE_TEST_RSP_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_RUNNER_SERVER_REMOVE_TEST_RSP * pOCTVC1_TEST_MSG_RUNNER_SERVER_REMOVE_TEST_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_RUNNER_SERVER_REMOVE_TEST_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_REMOVE_TEST_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_REMOVE_TEST_RSP)->Header ); }  \
	((tOCTVC1_TEST_MSG_RUNNER_SERVER_REMOVE_TEST_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_REMOVE_TEST_RSP)->hTest = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_TEST_MSG_RUNNER_SERVER_REMOVE_TEST_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_REMOVE_TEST_RSP)->hTest); \
}
#else
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_REMOVE_TEST_RSP_SWAP( pOCTVC1_TEST_MSG_RUNNER_SERVER_REMOVE_TEST_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_LIST_TEST_CMD_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_RUNNER_SERVER_LIST_TEST_CMD * pOCTVC1_TEST_MSG_RUNNER_SERVER_LIST_TEST_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_RUNNER_SERVER_LIST_TEST_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_LIST_TEST_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_LIST_TEST_CMD)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_LIST_TEST_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_LIST_TEST_CMD)->ObjectCursor ); }  \
}
#else
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_LIST_TEST_CMD_SWAP( pOCTVC1_TEST_MSG_RUNNER_SERVER_LIST_TEST_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_LIST_TEST_RSP_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_RUNNER_SERVER_LIST_TEST_RSP * pOCTVC1_TEST_MSG_RUNNER_SERVER_LIST_TEST_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_RUNNER_SERVER_LIST_TEST_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_LIST_TEST_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_LIST_TEST_RSP)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_LIST_TEST_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_LIST_TEST_RSP)->ObjectCursor ); }  \
	{ mOCTVC1_LIST_NAME_OBJECT32_GET_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_LIST_TEST_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_LIST_TEST_RSP)->ObjectNameList ); }  \
}
#else
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_LIST_TEST_RSP_SWAP( pOCTVC1_TEST_MSG_RUNNER_SERVER_LIST_TEST_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_CMD_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_CMD * pOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_CMD)->Header ); }  \
	((tOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_CMD)->hTest = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_CMD)->hTest); \
}
#else
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_CMD_SWAP( pOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_RSP_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_RSP * pOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_RSP)->Header ); }  \
	((tOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_RSP)->hTest = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_RSP)->hTest); \
	((tOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_RSP)->hDescr = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_RSP)->hDescr); \
	{ mOCTVC1_TEST_EXEC_PARMS_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_RSP)->Parms ); }  \
}
#else
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_RSP_SWAP( pOCTVC1_TEST_MSG_RUNNER_SERVER_INFO_TEST_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_TEST_CMD_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_TEST_CMD * pOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_TEST_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_TEST_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_TEST_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_TEST_CMD)->Header ); }  \
	((tOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_TEST_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_TEST_CMD)->hTest = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_TEST_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_TEST_CMD)->hTest); \
}
#else
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_TEST_CMD_SWAP( pOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_TEST_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_TEST_RSP_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_TEST_RSP * pOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_TEST_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_TEST_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_TEST_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_TEST_RSP)->Header ); }  \
	((tOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_TEST_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_TEST_RSP)->hTest = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_TEST_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_TEST_RSP)->hTest); \
}
#else
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_TEST_RSP_SWAP( pOCTVC1_TEST_MSG_RUNNER_SERVER_STATS_TEST_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_START_TEST_CMD_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_RUNNER_SERVER_START_TEST_CMD * pOCTVC1_TEST_MSG_RUNNER_SERVER_START_TEST_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_RUNNER_SERVER_START_TEST_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_START_TEST_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_START_TEST_CMD)->Header ); }  \
	((tOCTVC1_TEST_MSG_RUNNER_SERVER_START_TEST_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_START_TEST_CMD)->hTest = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_TEST_MSG_RUNNER_SERVER_START_TEST_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_START_TEST_CMD)->hTest); \
}
#else
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_START_TEST_CMD_SWAP( pOCTVC1_TEST_MSG_RUNNER_SERVER_START_TEST_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_START_TEST_RSP_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_RUNNER_SERVER_START_TEST_RSP * pOCTVC1_TEST_MSG_RUNNER_SERVER_START_TEST_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_RUNNER_SERVER_START_TEST_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_START_TEST_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_START_TEST_RSP)->Header ); }  \
	((tOCTVC1_TEST_MSG_RUNNER_SERVER_START_TEST_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_START_TEST_RSP)->hTest = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_TEST_MSG_RUNNER_SERVER_START_TEST_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_START_TEST_RSP)->hTest); \
}
#else
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_START_TEST_RSP_SWAP( pOCTVC1_TEST_MSG_RUNNER_SERVER_START_TEST_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_TEST_CMD_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_TEST_CMD * pOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_TEST_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_TEST_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_TEST_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_TEST_CMD)->Header ); }  \
	((tOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_TEST_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_TEST_CMD)->hTest = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_TEST_CMD *)pOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_TEST_CMD)->hTest); \
}
#else
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_TEST_CMD_SWAP( pOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_TEST_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_TEST_RSP_SWAP( _f_pParms ){ 	tOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_TEST_RSP * pOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_TEST_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_TEST_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_TEST_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_TEST_RSP)->Header ); }  \
	((tOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_TEST_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_TEST_RSP)->hTest = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_TEST_RSP *)pOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_TEST_RSP)->hTest); \
}
#else
#define mOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_TEST_RSP_SWAP( pOCTVC1_TEST_MSG_RUNNER_SERVER_STOP_TEST_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#ifdef __cplusplus
}

#endif

#endif /* __OCTVC1_TEST_API_PRIV_SWAP_H__ */
